%define upstream_name    Crypt-JWT
%define upstream_version 0.035

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    JSON Web Token (JWT, JWS, JWE) as defined by RFC7519, RFC7515, RFC7516
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(CryptX) >= 0.67.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
JSON Web Token (JWT, JWS, JWE) as defined by RFC7519, RFC7515, RFC7516

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 11 2023 tv <tv> 0.35.0-1.mga10
+ Revision: 1994720
- update to 0.035

* Wed Mar 23 2022 umeabot <umeabot> 0.34.0-2.mga9
+ Revision: 1820971
- Mageia 9 Mass Rebuild

* Wed Dec 01 2021 tv <tv> 0.34.0-1.mga9
+ Revision: 1760395
- update to 0.034

* Sat Jul 17 2021 bcornec <bcornec> 0.33.0-1.mga9
+ Revision: 1736326
- Import perl-Crypt-JWT 0.033
- Created package structure for perl-Crypt-JWT.

